import React from 'react';
import styled from 'styled-components';
import PropTypes from 'prop-types';
import { Flex, CloseButton, deprecatedPropType, Text } from 'pcln-design-system';
var HeaderWrapper = styled(Flex).attrs(function () {
  return {
    borderRadius: 'xl',
    rounded: 'top'
  };
}).withConfig({
  displayName: "ModalHeader__HeaderWrapper",
  componentId: "sc-jkop2n-0"
})(["height:40px;"]);
var Title = styled(Text).withConfig({
  displayName: "ModalHeader__Title",
  componentId: "sc-jkop2n-1"
})(["display:flex;align-items:center;"]);
var StyledCloseButton = styled(CloseButton).withConfig({
  displayName: "ModalHeader__StyledCloseButton",
  componentId: "sc-jkop2n-2"
})(["height:24px;width:24px;svg{vertical-align:top;}&:focus{background-color:", ";outline:none;}"], function (props) {
  return props.theme.palette.primary.dark;
});

var ModalHeader = function ModalHeader(_ref) {
  var bg = _ref.bg,
      color = _ref.color,
      onClose = _ref.onClose,
      title = _ref.title;
  return /*#__PURE__*/React.createElement(HeaderWrapper, {
    align: "center",
    alignItems: "center",
    color: color,
    bg: bg,
    px: 3
  }, title && /*#__PURE__*/React.createElement(Title, {
    fontSize: 1,
    bold: true
  }, title), onClose && /*#__PURE__*/React.createElement(StyledCloseButton, {
    onClick: onClose,
    ml: "auto"
  }));
};

ModalHeader.displayName = ModalHeader;
ModalHeader.propTypes = {
  bg: deprecatedPropType('color'),
  onClose: PropTypes.func,
  color: PropTypes.string,
  title: PropTypes.string
};
ModalHeader.defaultProps = {
  bg: 'blue',
  color: 'white'
};
export default ModalHeader;